| Home | Libraries | People | FAQ | More

##### replace

###### Description

Returns the result type of `replace`, given the types of the input sequence and element to replace.

###### Synopsis

    template<
        typename Sequence,
        typename T
        >
    struct replace
    {
        typedef unspecified type;
    };

Table 1.88. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | A model of Forward Sequence | Operation's argument
`T` | Any type | The type of the search and replacement objects

###### Expression Semantics

    result_of::replace<Sequence,T>::type

Return type: A model of Forward Sequence.

Semantics: Returns the return type of `replace`.

###### Complexity

Constant.

###### Header

    #include <boost/fusion/algorithm/transformation/replace.hpp>
    #include <boost/fusion/include/replace.hpp>